<?php
#######################################################
# Скрипт :  Сервис аватаров с динамическим BL         #
# Автор  :  STUFF [aka] Dead_GHOST                    #
# Асику  :  903885, 783945                            #
# ----------------------------------------------------#
#            Распространяется бесплатно!              #
# ----------------------------------------------------#
#          Принимаю заказы на PHP проекты.            #
#######################################################

#  $BL - Бизнес-уровень владельца WMID'a
#  $CL - Количество претензий на WMID

// Забираем данные из GET-запроса
	$wmid = htmlspecialchars($_GET['w']);
	$nick = htmlspecialchars($_GET['n']);
	$icq  = htmlspecialchars($_GET['i']);
	$mail = htmlspecialchars($_GET['m']);
	$site = htmlspecialchars($_GET['s']);

// Если WMID пустой или < or > 12 символов
	if(empty($wmid) || strlen($wmid) > 12 || strlen($wmid) < 12)
		{
			header("Location: index.php?w");
			exit;
		}

// коннектимся к паспорту
	$url = file_get_contents('http://passport.webmoney.ru/asp/certcard.asp?id='.$wmid.'');

//меняем кодировку из windows-1251 в UTF-8 для правильного отображения текста
	$re = iconv('windows-1251', 'UTF-8', $url);

// немного говонокода чо :)
	preg_match_all("|</[^>]+>(.*)<[^>]+>|U", $re, $out, PREG_PATTERN_ORDER);
	$ATT = str_replace('</span> ', '', $out[0][4]);
	$ATT = str_replace('<br>', '', $ATT);

	$BL = str_replace('</span> ', '', $out[0][8]);
	$BL = str_replace('<br>', '', $BL);

	$CL = str_replace('</span> ', '', $out[0][10]);
	$CL = str_replace('<br>', '', $CL);

// Ложим текст на картинку
	$img = imagecreatefrompng('inc/background.png');
	$white = imagecolorallocate($img, 255, 255, 255);

	imagettftext($img, 30, 0, 24, 30, $white, "inc/font.ttf", $nick);
	imagettftext($img, 12, 0, 3, 56, $white, "inc/font.ttf", $ATT);
	imagettftext($img, 22, 0, 10, 88, $white, "inc/font.ttf", $BL);
	imagettftext($img, 22, 0, 90, 88, $white, "inc/font.ttf", $CL);
	imagettftext($img, 20, 0, 25, 125, $white, "inc/font.ttf", $icq);
	imagettftext($img, 20, 0, 25, 153, $white, "inc/font.ttf", $site);
	imagettftext($img, 12, 0, 25, 175, $white, "inc/font.ttf", $mail);

//Отдаем картинку в браузер
	header("Content-type: image/png");
	imagepng($img);
	imagedestroy($img);
?>